Update settings for a specific domain

Modify key settings for a specific domain, such as the registration lock or renewal status. This is useful when you need to manually manage a domain's configuration, for example, during a domain transfer or to secure your domain.

Domain Services Domains

Context

Used in the dashboard

/ /domains/[id]

Path Parameters

id integer · min: 1 required Example: 10867

Unique id identifier

Headers

Accept Example
Content-Type Example

Body

required
application/json
autorenew string · Example: 0
registrarlock string · Example: 1
reglock string · Example: 0

Responses

200
data object required
data.domainStatus string required · Example: Expired
data.message string required · Example: Domain updated successfully

Human-readable message.

data.success boolean required · Example: true

True for successful responses.

data.syncTriggered boolean required · Example: false
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/domain-edit/{id}
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/domain-edit/10867" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "registrarlock": "1"
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "message": "Domain updated successfully",
    "success": true,
    "syncTriggered": false,
    "domainStatus": "Expired"
  }
}
Request Body Example 1
{
  "registrarlock": "1"
}